Bug 140663 - jpilot sync with visor hangs on "Syncing AddressDB"
jpilot sync with visor hangs on "Syncing AddressDB"
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-23 21:43 EST by JCC
Modified: 2015-01-04 17:13 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-02 20:14:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description JCC 2004-11-23 21:43:03 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041107 Firefox/1.0

Description of problem:
When starting a jpilot and visor "sync" event, the synchronization
starts but hangs consistently on "Syncing AddressDB".  

The previous kernel release would not even initiate a sync event.  So
it appears that there has been good debug progress, but not enough to
allow a complete sync event.

Interestingly, kernel release linux-2.6.8-1.521, works perfectly!

Version-Release number of selected component (if applicable):
kernel  2.6.9-1.6_FC2

How reproducible:
Always

Steps to Reproduce:
1.  See above description.
2.
3.
    

Actual Results:  hangs consistently on "Syncing AddressDB".  

Expected Results:  sync event should complete without hanging.

Additional info:
Comment 1 George N. White III 2004-11-26 14:38:24 EST
I can reproduce this bug on 2 different systems, using a Tungston E and 
USB.  On one system the hang occurs for DatebookDB, on the other for
ToDoDB.  

Nov 26 15:31:29 X kernel: drivers/usb/serial/usb-serial.c: USB Serial support
registered for Generic
Nov 26 15:31:29 X kernel: usbcore: registered new driver usbserial_generic
Nov 26 15:31:29 X kernel: usbcore: registered new driver usbserial
Nov 26 15:31:29 X kernel: drivers/usb/serial/usb-serial.c: USB Serial Driver
core v2.0
Nov 26 15:31:29 X kernel: drivers/usb/serial/usb-serial.c: USB Serial support
registered for Handspring Visor / Palm OS
Nov 26 15:31:29 X kernel: drivers/usb/serial/usb-serial.c: USB Serial support
registered for Sony Clie 3.5
Nov 26 15:31:29 X kernel: drivers/usb/serial/usb-serial.c: USB Serial support
registered for Sony Clie 5.0
Nov 26 15:31:30 X kernel: visor 2-1:1.0: Handspring Visor / Palm OS converter
detected
Nov 26 15:31:30 X kernel: usb 2-1: Handspring Visor / Palm OS converter now
attached to ttyUSB0
Nov 26 15:31:30 X kernel: usb 2-1: Handspring Visor / Palm OS converter now
attached to ttyUSB1
Nov 26 15:31:30 X kernel: usbcore: registered new driver visor
Nov 26 15:31:30 X kernel: drivers/usb/serial/visor.c: USB HandSpring Visor /
Palm OS driver v2.1
Nov 26 15:31:39 X kernel: usb 2-1: USB disconnect, address 2
Nov 26 15:31:39 X kernel: visor 2-1:1.0: device disconnected
Nov 26 15:31:51 X kernel: visor ttyUSB0: Handspring Visor / Palm OS converter
now disconnected from ttyUSB0
Nov 26 15:31:51 X kernel: visor ttyUSB1: Handspring Visor / Palm OS converter
now disconnected from ttyUSB1

This doesn't look any different from the sync's that worked.
Comment 2 Paul W. Frields 2004-11-29 08:12:01 EST
This is possibly a duplicate of 140005, anyone care to check?
Comment 3 Rob David 2005-01-03 18:27:25 EST
I find I am getting the same problem on my system, with the same kernel.

I also find that the pilot-link ulility dlpsh will hang on certain
commands; ls seems to always hang, while df will always work.

My feeling is that this is not the same as 140005 because:

1) there is no sign of a kernel oops.
2) the /dev/ttyUSB? device will disappear after a failed sync
Comment 4 Rick Cochran 2005-01-08 11:04:42 EST
I'm getting what looks like the same problem on 2.6.9-1.681_FC3.
Comment 5 Dave Jones 2005-04-16 01:22:52 EDT
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.
Comment 6 Rick Cochran 2005-04-16 10:10:52 EDT
Please note Comment #4 where I mention that FC3 has the same problem.
Comment 7 Dave Jones 2005-04-16 15:18:06 EDT
still a problem with the latest 2.6.11 update too ?
Comment 8 Rick Cochran 2005-04-16 18:51:46 EDT
At some point I tried a full yum update and nothing changed.

Unfortunately, I can't try it now because last week I gave up on Fedora and
switched all four of my boxes to RHEL AS4 or CentOS 4.0, as appropriate, upon
which this and several other problems went away.

I know only this for certain: visor sync worked fine with RH9.  It was broken
with FC3 and some subsequent FC3 kernel update (not sure which).  It worked fine
with RHEL AS3 and AS4.

Perhaps it may be relevant that my visor has Oracle Calendar Sync on it.

I hope that this information proves helpful to those still using and working on
Fedora.
Comment 9 George N. White III 2005-04-19 07:11:37 EDT
(In reply to comment #7)
> still a problem with the latest 2.6.11 update too ?

I find syncing is still erratic with 2.6.11-1.14_FC3, but so far it either 
works or doesn't start at all -- no "hangs".  
Comment 10 Dave Jones 2005-07-15 15:34:31 EDT
An update has been released for Fedora Core 3 (kernel-2.6.12-1.1372_FC3) which
may contain a fix for your problem.   Please update to this new kernel, and
report whether or not it fixes your problem.

If you have updated to Fedora Core 4 since this bug was opened, and the problem
still occurs with the latest updates for that release, please change the version
field of this bug to 'fc4'.

Thank you.
Comment 11 Rick Cochran 2005-07-15 16:04:44 EDT
I am no longer able to test this problem because I switched to RHEL AS4.
Comment 12 George N. White III 2005-07-19 07:40:32 EDT
I was able to sync a few times with Fedora Core 3.  Now I'm trying to move to 
Fedora Core 4 and sync does not start (kernel-2.6.12-1.1390_FC4).  I'm using a 
Palm TE (USB).

With FC3 I found I needed to wait for the /dev/pilot symlink to be created 
before starting the sync in jpilot.  Some of the problems were because the
system was starting with /dev/ttyUSB0+1, then the next connection attempt would 
use /dev/ttyUSB2+3, etc.  Now I consistently see /dev/pilot -> /dev/ttyUSB1.  I
tried manually changing permissions from 600 to 666 on /dev/ttyUSB1, but that 
didn't help.  In FC3 the permissions were 660.



Comment 13 Dave Jones 2005-10-02 20:14:01 EDT
This bug has been automatically closed as part of a mass update.
It had been in NEEDINFO state since July 2005.
If this bug still exists in current errata kernels, please reopen this bug.

There are a large number of inactive bugs in the database, and this is the only
way to purge them.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.